Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Activate or deactivate a location
cURL
curl --request PATCH \ --url https://api.hit-pay.com/v1/locations/{location} \ --header 'Content-Type: application/json' \ --header 'X-BUSINESS-API-KEY: <x-business-api-key>' \ --data ' { "active": false } '
import requests url = "https://api.hit-pay.com/v1/locations/{location}" payload = { "active": False } headers = { "X-BUSINESS-API-KEY": "<x-business-api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: { 'X-BUSINESS-API-KEY': '<x-business-api-key>', 'Content-Type': 'application/json' }, body: JSON.stringify({active: false}) }; fetch('https://api.hit-pay.com/v1/locations/{location}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hit-pay.com/v1/locations/{location}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'active' => false ]), CURLOPT_HTTPHEADER => [ "Content-Type: application/json", "X-BUSINESS-API-KEY: <x-business-api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.hit-pay.com/v1/locations/{location}" payload := strings.NewReader("{\n \"active\": false\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("X-BUSINESS-API-KEY", "<x-business-api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.hit-pay.com/v1/locations/{location}") .header("X-BUSINESS-API-KEY", "<x-business-api-key>") .header("Content-Type", "application/json") .body("{\n \"active\": false\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.hit-pay.com/v1/locations/{location}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["X-BUSINESS-API-KEY"] = '<x-business-api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"active\": false\n}" response = http.request(request) puts response.read_body
{ "id": "9c484458-b2a3-4f49-87ed-ad9ea71b0df3", "business_id": "8a1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d", "name": "Main Store", "street": "123 Main St", "city": "Singapore", "state": "Singapore", "country": "SG", "postal_code": "123456", "active": true, "pickups": [ {} ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
{ "message": "<string>", "errors": "<array>" }
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Location ID
Set to false to deactivate, true to activate
false
true
Location active status updated
"9c484458-b2a3-4f49-87ed-ad9ea71b0df3"
Business that owns this location
"8a1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d"
Name of the location
"Main Store"
Street address
"123 Main St"
City
"Singapore"
State or region
Country code or name
"SG"
Postal code
"123456"
Whether the location is active
Pickup configurations linked to this location (empty when not loaded)
Was this page helpful?